<?php
/*
 * Server registration script
 * Made by starky
*/

/* Script security */
if(!defined("MONENGINE")) {
	header("Location: index.php");
	exit();
}
/* Other code */
echo "<div class='horizontal_line'>Добавить сервер в мониторинг</div>";
echo "<div class='cont'><br>";
if($settings['enable_registration'] == 0){
	echo "<div class='cont' style='padding-top: 14px;'>";
	displayMessage('<br>Добавление серверов временно приостановлена.<br><br>', 'error');
} else {
	require(INCLUDES."countries.class.php");
	$countries = new countries;
	$countries = new countries;
	$address = '';
	$steam = 0;
	$message = '';
	$email = '';
	$site = '';
	$icq = '';
	$location = '';
	$about = '';
	if(isset($_POST['submit_registration'])) {
		$address = mysql_real_escape_string($_POST['server_address']);
		$steam = 0;
		$errors = Array();
		if(isset($_POST['server_steam'])) $steam = 1;
		$email = mysql_real_escape_string($_POST['server_email']);
		$site = mysql_real_escape_string($_POST['server_site']);
		$icq = mysql_real_escape_string($_POST['server_icq']);
		$location = mysql_real_escape_string($_POST['server_location']);
		$about = mysql_real_escape_string($_POST['server_about']);
		
		$regex_ipport = "[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\:[0-9]{1,5}";
		$regex_hostport = "[a-zA-Z0-9](-*[a-zA-Z0-9]+)*(\.[a-zA-Z0-9](-*[a-zA-Z0-9]+)*)+\:[0-9]{1,5}";
		if(!filter_var($email, FILTER_VALIDATE_EMAIL)) {
			$errors[] = "<center><font color='red'><b>Необходимо ввести корректный E-mail адрес.</b></font></center>";
		}
        elseif(empty($about)) {
			$errors[] = "<center><font color='red'><b>Не заполнено обязательное поле \"Описание сервера\"</b></font></center>";
		}
		elseif(empty($address)) {
			$errors[] = "<center><font color='red'><b>Не заполнено обязательное поле \"Адрес сервера\"</b></font></center>";
		} elseif(!preg_match("/$regex_ipport/", $address) and !preg_match("/$regex_hostport/i", $address)) {
			$errors[] = "<center><font color='red'><b>Неверный формат адреса сервера.</b></font></center>";
		} else {
			$check_server = mysql_query("SELECT * FROM `".DB_SERVERS."` WHERE `server_ip` = '{$address}'");
			if(mysql_num_rows($check_server) != 0) $errors[] = "<center><font color='red'><b>Данный сервер уже есть в базе.<b></font></center>";
		}
		if(!array_key_exists($location, $countries->countries)) $errors[] = "<center><font color='red'><b>Выбрана несуществующая локация $location.</b></font></center>";
		
		if(!empty($icq) and !is_numeric($icq)) {
			$errors[] = "<center><font color='red'><b>Введите корректный ICQ.</b></font></center>";
		} else {
			if(strlen($icq) > 9) $errors[] = "<center><font color='red'><b>Введите корректный ICQ.</b></font></center>";
		}
		
		
		
	
		
		if(count($errors) == 0) {
			$add_server_query = "INSERT INTO `".DB_SERVERS."` (
			`server_game`, 
			`server_ip`, 
			`server_location`, 
			`server_steam`, 
			`server_regdata`, 
			`server_email`, 
			`server_icq`, 
			`server_new`, 
			`server_site`, 
			`about`
			) 
			VALUES 
			(
			'cs16', 
			'{$address}', 
			'{$location}', 
			'{$steam}', 
			'".time()."', 
			'{$email}', 
			'{$icq}', 
			'0', 
			'{$site}', 
			'{$about}'
			)";
			
			$add_server = dbquery($add_server_query);
			if(!$add_server) $errors[] = "<center><font color='red'><b>Произошла ошибка записи в базу данных.</b></font></center>";
		}
		
		if(count($errors) != 0) {
			$message = "<div class='msg redbg'><center><font color='red'><b>{$errors[0]}</b></font></center></div>";
		} else {
			$message = "<div class='msg greenbg'><center><font color='red'><b>Спасибо! Ваш сервер будет добавлен в течение одной минуты.</b></font></center></div>";
		}
	}
	echo "
		$message
		<form action='' method='POST'>
		<table width='100%' class='regform'>
			<tr>";
	echo "
	<div class='infoadd'>
<font color='#789ABF'><b>Правила участия в мониторинге<br></b></font><b><br>

<b> 1.   Принимаются только сервера Counter-Strike 1.6</b> <br>
<b>2.   Сервер должен работать не менее 18 часов в сутки.</b><br>
<b>3.   На сервере не должно быть менее 10 слотов.</b><br>
<b>4.   На сервере не должен быть установлен пароль.</b><br>
<b>5.   Сервер должен контролироваться Администраторами.</b><br>
<b>6.  На сайте сервера должна быть размещена наша текстовая ссылка.</b><br><br>
<font color='red' size='2'>Внимание!</font> <font color='white' size='2'>Если ваш сервер не будет работать в течение трех суток, то он будет исключен из мониторинга! </font><br>

		<br>";
	
	echo "
				<td colspan='2'><center><b>* - обязательно к заполнению!</b></center></td>
			</tr>
			<tr>
				<td align='right' style='height:30px;'>STEAM?</td>
				<td style='height:30px;'><input type='checkbox' style='background:#FFF;' name='server_steam' value='1' class='checkbox'".(($steam == 1) ? " checked='checked'" : "")."></td>
			</tr>
			<tr>
				<td align='right'><b>*Адрес сервера:</b></td>
				<td><input type='text' name='server_address' value='{$address}' size='30' /></td>
			</tr>
			<tr>
				<td align='right'>Сайт:</td>
				<td><input type='text' name='server_site' value='{$site}' size='30' /></td>
			</tr>
			<tr>
				<td align='right'><b>*E-mail:</b></td>
				<td><input type='text' name='server_email' value='{$email}' size='30' /></td>
			</tr>
			<tr>
				<td align='right'>ICQ:</td>
				<td><input type='text' name='server_icq' value='{$icq}' size='30' /></td>
			</tr>
			<tr>
				<td align='right'><b>*Описание сервера:</b></td>
				<td><textarea name='server_about' rows='4' cols='30'>{$about}</textarea></td>
			</tr>
			<tr>
				<td align='right'><b>*Локация сервера:</b></td>
				<td>
				<select style='width:200px;' name='server_location'>
				";
				foreach($countries->countries as $country_code => $country_name) {
					echo "<option value='{$country_code}'".(($country_code == $location) ? " selected='selected'" : "").">{$country_name}</option>";
				}
echo "
				</select>
				</td>
			</tr>
	<tr>
				<td colspan='2' align='center'>
					<input type='hidden' name='submit_registration' value='1'>
					<input type='submit' value='Добавить' />
				</td>
			</tr>
		</table>
		</form>";
		}
echo "</div>";
?>